<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et1"
        style="@style/CodeInputBox"
        app:layout_constraintEnd_toStartOf="@id/et2"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="Autofill,LabelFor"
        tools:text="3" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et2"
        style="@style/CodeInputBox"
        app:layout_constraintEnd_toStartOf="@id/et3"
        app:layout_constraintStart_toEndOf="@id/et1"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="Autofill,LabelFor" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et3"
        style="@style/CodeInputBox"
        app:layout_constraintEnd_toStartOf="@id/et4"
        app:layout_constraintStart_toEndOf="@id/et2"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="Autofill,LabelFor" />

    <androidx.appcompat.widget.AppCompatEditText
        android:id="@+id/et4"
        style="@style/CodeInputBox"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/et3"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="Autofill,LabelFor" />

</androidx.constraintlayout.widget.ConstraintLayout>